## paml 4.7

=== src/Makefile ===
PRGS =  baseml codeml basemlg mcmctree pamp evolver yn00 chi2 
CC = cc # cc, gcc, cl

CFLAGS = -O4 -funroll-loops -fomit-frame-pointer -finline-functions

#MAC OSX G5:
#CFLAGS = -mcpu=G5 -O4 -funroll-loops -fomit-frame-pointer -finline-functions

#MAC OSX intel:
#CFLAGS = -march=pentium-m -O4 -funroll-loops -fomit-frame-pointer -finline-functions

#CFLAGS = -O4
#CFLAGS = -fast
#CFLAGS = -m64 -march=opteron -mtune=opteron -ansi -O3 -funroll-loops -fomit-frame-pointer -finline-functions 
#CFLAGS = -march=athlon -mcpu=athlon -O4 -funroll-loops -fomit-frame-pointer -finline-functions
#CFLAGS = -march=pentiumpro -mcpu=pentiumpro -O4 -funroll-loops -fomit-frame-pointer -finline-functions 

LIBS = -lm # -lM

all : $(PRGS)

baseml : baseml.c tools.c treesub.c treespace.c paml.h 
	$(CC) $(CFLAGS) -o $@ baseml.c tools.c $(LIBS)
basemlg : basemlg.c  tools.c treesub.c treespace.c paml.h 
	$(CC) $(CFLAGS) -o $@ basemlg.c tools.c $(LIBS)
codeml : codeml.c  tools.c treesub.c treespace.c paml.h 
	$(CC) $(CFLAGS) -o $@ codeml.c tools.c $(LIBS)
evolver : evolver.c  tools.c treesub.c treespace.c paml.h 
	$(CC) $(CFLAGS) -o $@ evolver.c tools.c $(LIBS)
pamp : pamp.c  tools.c treesub.c treespace.c paml.h 
	$(CC) $(CFLAGS) -o $@ pamp.c tools.c $(LIBS)
mcmctree : mcmctree.c  tools.c treesub.c treespace.c paml.h 
	$(CC) $(CFLAGS) -o $@ mcmctree.c tools.c $(LIBS)
yn00: yn00.c tools.c paml.h
	$(CC) $(CFLAGS) -o $@ yn00.c tools.c $(LIBS)
chi2 : chi2.c
	$(CC) $(CFLAGS) -o $@ chi2.c $(LIBS)

## paml 4.4e

=== debian/changelog ===
paml (4.4e-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Upload to unstable (Closes: #643843).
  * Corrected debian/watch for downloading sources with uscan.
  * Removed links to inexsistant Git repositories in debian/README.source.
  * Corrected VCS URLs (debian/control).
  * Conforms to Policy 3.9.2 (debian/control, no other changes needed).
  * Use Debhelper 8 (debian/control, debian/compat).
  * Converted debian/copyright to machine readable format version 1.0.
  * Compress binary packages with xz.

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Sep 2011 21:48:20 +0900

paml (4.4c-3) experimental; urgency=low

  * doc -> non-free/doc (Closes: #608530).

 -- Steffen Moeller <moeller@debian.org>  Sat, 01 Jan 2011 13:56:50 +0100

paml (4.4c-2) experimental; urgency=low

  * Adjusting for non-free section.

 -- Pjotr Prins <pjotr.debian@thebird.nl>  Sat, 11 Sep 2010 23:01:37 +0200

paml (4.4c-1) experimental; urgency=low

  * Initial release (Closes: #595958).

 -- Pjotr Prins <pjotr.debian@thebird.nl>  Tue, 07 Sep 2010 21:09:02 +0200

=== debian/control ===
Source: paml
Section: non-free/science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Pjotr Prins <pjotr.debian@thebird.nl>, Steffen Moeller <moeller@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://abacus.gene.ucl.ac.uk/software/paml.html
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/paml/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/paml/trunk/

Package: paml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Phylogenetic Analysis by Maximum Likelihood (PAML)
 PAML is a package of programs for phylogenetic analyses of DNA or
 protein sequences using maximum likelihood.
 .
 PAML is not good for tree making. It may be used to estimate parameters
 and test hypotheses to study the evolutionary process, when you have
 reconstructed trees using other programs such as PAUP*, PHYLIP, MOLPHY,
 PhyML, RaxML, etc.

Package: paml-doc
Architecture: all
Section: non-free/doc
Depends: ${misc:Depends}
Description: Documentation for PAML
 The source code comes with a series of PDF files to help with
 further insights for the working of and with PAML.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_installexamples:
	dh_installexamples
	for d in `find debian -name examples -a -type d`; do \
		find $$d \! -type d  | xargs -r chmod -x ; \
	done

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Z xz

=== debian/watch ===
version=3
http://abacus.gene.ucl.ac.uk/software/paml.html paml([0-9a-z.]+)\.tar\.gz

## paml 4.5

=== debian/changelog ===
paml (4.5-1) unstable; urgency=low

  [ Pjotr Prins ]
  * Improved long description.

  [ Andreas Tille ]
  * New upstream version
  * Fixed watch file
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debian/rules: remove useless dh-make template
  * debian/paml.dirs: removed because unneeded
  * debian/{install,links}: install all binaries to
    /usr/lib/debian-med/bin and symlink to /usr/bin with the
    exception of evolver which has a name space conflict.  This
    is renamed to /usr/bin/paml-evolver
    Closes: #661519
  * debian/{paml.docs,paml-doc.docs}:
     - Adapted to new names
     - do not duplicate the same files into both packages (paml and
       paml-doc)
  * debian/profile.d/paml: Set PATH to find paml executables under
    their expected names
  * debian/README.Debian: Document the name space conflict solution
  * debian/upstream: Citation information
  * debhelper 9 (control+compat)
  * debian/patches/hardening.patch: Enable propagation of hardening
    flags

 -- Andreas Tille <tille@debian.org>  Tue, 15 May 2012 11:10:59 +0200

=== debian/control ===
Source: paml
Section: non-free/science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Pjotr Prins <pjotr.debian@thebird.nl>,
 Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Homepage: http://abacus.gene.ucl.ac.uk/software/paml.html
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/paml/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/paml/trunk/

Package: paml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Phylogenetic Analysis by Maximum Likelihood (PAML)
 PAML is a package of programs for phylogenetic analyses of DNA or
 protein sequences using maximum likelihood.

Package: paml-doc
Architecture: all
Section: non-free/doc
Depends: ${misc:Depends}
Description: Documentation for PAML
 The source code comes with a series of PDF files to help with
 further insights for the working of, and with, PAML.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_installexamples:
	dh_installexamples
	for d in `find debian -name examples -a -type d`; do \
		find $$d \! -type d  | xargs -r chmod -x ; \
	done

%:
	dh $@

override_dh_builddeb:
	dh_builddeb -- -Z xz

## paml 4.7

=== debian/changelog ===
paml (4.7-1) unstable; urgency=low

  * New upstream version
  * debian/control:
     - cme fix dpkg-control
     - use anonscm in Vcs fields
  * debian/rules: provide get-orig-source target to make use of new uscan
    to remove windows binaries

 -- Andreas Tille <tille@debian.org>  Thu, 08 Aug 2013 22:07:27 +0200

=== debian/control ===
Source: paml
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Pjotr Prins <pjotr.debian@thebird.nl>,
           Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: non-free/science
Priority: extra
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/paml/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/paml/trunk/
Homepage: http://abacus.gene.ucl.ac.uk/software/paml.html

Package: paml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Phylogenetic Analysis by Maximum Likelihood (PAML)
 PAML is a package of programs for phylogenetic analyses of DNA or
 protein sequences using maximum likelihood.

Package: paml-doc
Architecture: all
Section: non-free/doc
Depends: ${misc:Depends}
Description: Documentation for PAML
 The source code comes with a series of PDF files to help with
 further insights for the working of, and with, PAML.

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,11 @@
 
 override_dh_builddeb:
 	dh_builddeb -- -Z xz
+
+# Remark: The following uscan command requires devscripts > 2.12.4 which is not
+#         yet released at the time of this package release.  The code can be obtained
+#         via
+#   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
+#         and then use scripts/uscan.pl
+get-orig-source:
+	uscan --verbose --force-download --repack-compression xz

=== debian/watch ===
version=3
http://abacus.gene.ucl.ac.uk/software/paml.html paml([0-9a-z.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)

## paml 4.8%2Bdfsg

=== debian/watch ===
version=3
opts=uversionmangle=s/$/+dfsg/ \
  http://abacus.gene.ucl.ac.uk/software/paml.html paml([0-9a-z.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)

## paml 4.8+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	$(CC) $(CFLAGS) -o $@ pamp.c tools.c $(LIBS)
 mcmctree : mcmctree.c  tools.c treesub.c treespace.c paml.h 
 	$(CC) $(CFLAGS) -o $@ mcmctree.c tools.c $(LIBS)
+	$(CC) $(CFLAGS) -o infinitesites -D INFINITESITES mcmctree.c tools.c $(LIBS)
 yn00: yn00.c tools.c paml.h
 	$(CC) $(CFLAGS) -o $@ yn00.c tools.c $(LIBS)
 chi2 : chi2.c

=== debian/changelog ===
paml (4.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * d/rules: Adapt get-orig-source to new uscan syntax
  * d/watch: uversionmangle to get correct download file name
  * d/README.*: Updated
  * d/control:
     - Priority: optional
     - cme fix dpkg-control
     - XS-Autobuild: yes
  * d/patches/fix_format_security.patch: Fix some format security issues

 -- Andreas Tille <tille@debian.org>  Wed, 30 Jul 2014 14:30:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
            Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: non-free/science
-Priority: extra
+XS-Autobuild: yes
+Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/paml/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/paml/trunk/
 Homepage: http://abacus.gene.ucl.ac.uk/software/paml.html
@@ -26,4 +27,3 @@
 Description: Documentation for PAML
  The source code comes with a series of PDF files to help with
  further insights for the working of, and with, PAML.
-

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_installexamples:
	dh_installexamples
	for d in `find debian -name examples -a -type d`; do \
		find $$d \! -type d  | xargs -r chmod -x ; \
	done

%:
	dh $@

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

## paml 4.9e+dfsg

=== debian/changelog ===
paml (4.9e+dfsg-1) unstable; urgency=medium

  * This new upstream version is now covered by a free license and can
    be released to main

 -- Andreas Tille <tille@debian.org>  Fri, 17 Mar 2017 21:30:29 +0100

paml (4.9c+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Homepage now states GPL-v3
  * Moved packaging to Git
  * Use new uscan options in watch file
  * cme fix dpkg-control
  * Removed *.pdf files since there is no source for theses files
  * Add clean target to upstream Makefile
  * *.ctl files are pointing to existing data files in /usr/lib/paml/data
  * *.ctl files are obtained from /etc/paml if there is no such file in
    current dir
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Mon, 12 Sep 2016 08:27:42 +0200

=== debian/control ===
Source: paml
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Pjotr Prins <pjotr.debian@thebird.nl>,
           Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/paml.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/paml.git
Homepage: http://abacus.gene.ucl.ac.uk/software/paml.html

Package: paml
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Phylogenetic Analysis by Maximum Likelihood (PAML)
 PAML is a package of programs for phylogenetic analyses of DNA or
 protein sequences using maximum likelihood. PAML is not good for tree
 making. It may be used to estimate parameters and test hypotheses to
 study the evolutionary process, when you have reconstructed trees using
 other programs such as PAUP*, PHYLIP, MOLPHY, PhyML, RaxML, etc.

Package: paml-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Documentation for PAML
 PAML is a package of programs for phylogenetic analyses of DNA or
 protein sequences using maximum likelihood. PAML is not good for tree
 making. It may be used to estimate parameters and test hypotheses to
 study the evolutionary process, when you have reconstructed trees using
 other programs such as PAUP*, PHYLIP, MOLPHY, PhyML, RaxML, etc.
 .
 The source code comes with a series of PDF files to help with
 further insights for the working of, and with, PAML.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEBPKGNAME:=$(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
DATADIR=/usr/lib/paml/data

%:
	dh $@ --sourcedirectory=src

override_dh_installexamples:
	dh_installexamples
	for d in `find debian -name examples -a -type d`; do \
		find $$d \! -type d  | xargs -r chmod -x ; \
	done

override_dh_install:
	dh_install
	set -x ; \
	for datfile in debian/$(DEBPKGNAME)/$(DATADIR)/*.ctl ; do \
	    for item in seqfile treefile ; do \
		sed -i -e "s?\($${item} =\).*[^a-z^A-Z^0-9^.^ ]\+\([a-zA-Z0-9]\+\.[a-z]\+\)?\1 $(DATADIR)/\2?" \
		       -e "s?\($${item} =\) \([a-zA-Z0-9]\+\.[a-z]\+\)?\1 $(DATADIR)/\2?" \
		       $${datfile} ; \
	    done ; \
	done
	sed -i 's?\(aaRatefile = \)\(dat/jones.dat\)?\1$(DATADIR)/\2?' debian/$(DEBPKGNAME)/$(DATADIR)/codeml.ctl

override_dh_link:
	dh_link
	mkdir -p debian/$(DEBPKGNAME)/etc/$(DEBPKGNAME)/
	for datfile in debian/$(DEBPKGNAME)/$(DATADIR)/*.ctl ; do \
	    ln -s $(DATADIR)/`basename $${datfile}` debian/$(DEBPKGNAME)/etc/$(DEBPKGNAME) ; \
	done

override_dh_fixperms:
	dh_fixperms
	find debian/*/usr/lib/paml/data -type f -exec chmod -x \{\} \;

## paml 4.9g+dfsg

=== debian/changelog ===
paml (4.9g+dfsg-3) unstable; urgency=medium

  * Really enable arch=all build
    Closes: 890591

 -- Andreas Tille <tille@debian.org>  Wed, 28 Feb 2018 09:39:53 +0100

paml (4.9g+dfsg-2) unstable; urgency=medium

  * Do not fail with arch=all build
    Closes: #890591

 -- Andreas Tille <tille@debian.org>  Fri, 16 Feb 2018 15:12:05 +0100

paml (4.9g+dfsg-1) unstable; urgency=medium

  * New upstream version (upstream fixed format security issue)
  * Standards-Version: 4.1.3
  * debhelper 11
  * do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 16 Feb 2018 11:57:07 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/paml.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/paml.git
 Homepage: http://abacus.gene.ucl.ac.uk/software/paml.html

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk

DATADIR=/usr/lib/paml/data

%:
	dh $@ --sourcedirectory=src

override_dh_installexamples:
	dh_installexamples
	for d in `find debian -name examples -a -type d`; do \
		find $$d \! -type d  | xargs -r chmod -x ; \
	done

override_dh_install-arch:
	dh_install -a
	for datfile in debian/$(DEB_SOURCE)/$(DATADIR)/*.ctl ; do \
	    for item in seqfile treefile ; do \
		sed -i -e "s?\($${item} =\).*[^a-z^A-Z^0-9^.^ ]\+\([a-zA-Z0-9]\+\.[a-z]\+\)?\1 $(DATADIR)/\2?" \
		       -e "s?\($${item} =\) \([a-zA-Z0-9]\+\.[a-z]\+\)?\1 $(DATADIR)/\2?" \
		       $${datfile} ; \
	    done ; \
	done
	sed -i 's?\(aaRatefile = \)\(dat/jones.dat\)?\1$(DATADIR)/\2?' debian/$(DEB_SOURCE)/$(DATADIR)/codeml.ctl

override_dh_link-arch:
	dh_link -a
	mkdir -p debian/$(DEB_SOURCE)/etc/$(DEB_SOURCE)/
	for datfile in debian/$(DEB_SOURCE)/$(DATADIR)/*.ctl ; do \
	    ln -s $(DATADIR)/`basename $${datfile}` debian/$(DEB_SOURCE)/etc/$(DEB_SOURCE) ; \
	done

override_dh_fixperms-arch:
	dh_fixperms -a
	find debian/*/usr/lib/paml/data -type f -exec chmod -x \{\} \;

## paml 4.9h+dfsg

=== debian/changelog ===
paml (4.9h+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Fri, 27 Apr 2018 07:20:08 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/paml.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/paml.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/paml
+Vcs-Git: https://salsa.debian.org/med-team/paml.git
 Homepage: http://abacus.gene.ucl.ac.uk/software/paml.html
 
 Package: paml

## paml 4.9i+dfsg

=== debian/changelog ===
paml (4.9i+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 21:28:50 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/paml
 Vcs-Git: https://salsa.debian.org/med-team/paml.git
 Homepage: http://abacus.gene.ucl.ac.uk/software/paml.html

## paml 4.9j%2Bdfsg

=== debian/changelog ===
paml (4.9j+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Also cleaning binaries after build
  * Standards-Version: 4.4.1

 -- Steffen Moeller <moeller@debian.org>  Sun, 10 Nov 2019 18:54:50 +0100

## paml 4.9j+dfsg

=== debian/changelog ===
paml (4.9j+dfsg-6) unstable; urgency=medium

  * c23.patch: new: fix ftbfs with gcc-15. (Closes: #1097542)
  * d/control: declare compliance to standards version 4.7.1.

 -- Étienne Mollier <emollier@debian.org>  Wed, 26 Feb 2025 22:45:25 +0100

paml (4.9j+dfsg-5) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * gcc14.patch: new: fix incompatible pointer type conversions.
    (Closes: #1075359)

 -- Étienne Mollier <emollier@debian.org>  Mon, 15 Jul 2024 22:46:05 +0200

paml (4.9j+dfsg-4) unstable; urgency=medium

  * Team upload.
  * hardening.patch: fortify source and fix crossbuilds.
  * add_clean_target.patch: refresh.
  * d/t/run-unit-test: only run Test 4 on !amd64. (Closes: #1026913)
  * Standards-Version: 4.6.2 (routine-update)
  * paml-doc: Add Multi-Arch: foreign.
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Sat, 24 Dec 2022 13:14:11 +0100

paml (4.9j+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Etienne Mollier ]
  * upstream informed of the patch

  [ Pranav Ballaney ]
  * Add autopkgtests

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Fri, 29 May 2020 09:20:27 +0530

paml (4.9j+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Added patch to fix ftbfs gcc-10:
    Closes: #957659

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Fri, 08 May 2020 13:58:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Pjotr Prins <pjotr.debian@thebird.nl>,
            Steffen Moeller <moeller@debian.org>,
-           Andreas Tille <tille@debian.org>
+           Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/med-team/paml
 Vcs-Git: https://salsa.debian.org/med-team/paml.git
 Homepage: http://abacus.gene.ucl.ac.uk/software/paml.html
+Rules-Requires-Root: no
 
 Package: paml
 Architecture: any
@@ -26,6 +28,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Documentation for PAML
  PAML is a package of programs for phylogenetic analyses of DNA or
  protein sequences using maximum likelihood. PAML is not good for tree

=== debian/rules ===
--- 
+++ 
@@ -39,3 +39,7 @@
 override_dh_fixperms-arch:
 	dh_fixperms -a
 	find debian/*/usr/lib/paml/data -type f -exec chmod -x \{\} \;
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f src/baseml src/basemlg src/chi2 src/codeml src/evolver src/infinitesites src/mcmctree src/pamp src/yn00

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://abacus.gene.ucl.ac.uk/software/paml.html paml([0-9a-z.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
